//THIS FILE IS AUTOGENERATED
//DO NOT MODIFY
import { Schema } from 'mongoose';
import { BaseDocument } from '@core/api/BaseDocument';
import { ModelSchema } from '@core/orm/schema/ModelSchema';
import { UserDocument } from '@models/user';

export interface DoctorBaseDocument extends BaseDocument {
    user: UserDocument;
}

export const DoctorBaseSchema: ModelSchema = new ModelSchema({
    user: {
        type: Schema.Types.ObjectId,
        required: true,
        immutable: false,
        unique: true,
        select: true,
        array: false,
        ref: 'User',
        writable: true,
        readable: true,
        defaultColumn: false,
        listed: true,
    },
});

DoctorBaseSchema.methods.getDisplayName = function () {
    return this._id;
};

DoctorBaseSchema.statics.conditions = {
    required: {},
    disabled: {},
    validate: {},
};
